import 'dart:convert';

import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import '../../../models/discoveries.dart';
import 'discoveries_chart_tracks.dart';

class ChartDiscoveriesTracksCardContent extends StatelessWidget {
  final int daysCount;
  final DiscoveriesData chartData;
  final bool isLoading;

  const ChartDiscoveriesTracksCardContent(
      {super.key, required this.daysCount, required this.chartData, required this.isLoading});

  @override
  Widget build(BuildContext context) {
    final TextTheme textTheme = Theme.of(context).primaryTextTheme;
    final String placeholder = '⏳';

    return Column(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(
          'discoveries_tracks_title',
          style: textTheme.titleLarge!.apply(fontWeightDelta: 2),
        ).tr(
          namedArgs: {
            'daysCount': this.daysCount.toString(),
          },
        ),
        const SizedBox(height: 8),
        this.isLoading
            ? Text(placeholder)
            : ChartDiscoveriesTracks(
                chartData: DiscoveriesData.fromJson(jsonDecode(this.chartData.toString())),
              ),
      ],
    );
  }
}
